<template>
  <div class="custom-panel-div">
    <v-col>
      <v-row>
        <h1 style="font-size: 18px;letter-spacing: -0.025em;color: #00468A;">
          Kullanıcı İşlemleri>  İzin İşlemleri
        </h1>
      </v-row>
      <v-row>
        <h2 style="font-size: 14px;color: #5A5A5A;">Kullanıcı > İzin >
          Filtreleme - Listeleme - Ekleme</h2>
      </v-row>
    </v-col>

    <v-expansion-panels v-model="panel" :disabled="disabled" multiple>
      <custom-expansion-panel :items="items" />
    </v-expansion-panels>

    <div v-show="false">
      <PermissionList />
      <PermissionAdd />
      <PermissionFilter />
    </div>
  </div>
</template>
<script>
import CustomExpansionPanel from '@/components/custom-controller/CustomExpansionPanel.vue';
import PermissionList from '@/views/user/components/permission/PermissionList.vue';
import PermissionAdd from '@/views/user/components/permission/PermissionAdd.vue';
import PermissionFilter from '@/views/user/components/permission/PermissionFilter.vue';
import {ref} from 'vue'

export default {
  components: {
    CustomExpansionPanel,
    PermissionList,
    PermissionAdd,
    PermissionFilter,
  },
  setup() {
    const panel = ref([0, 1]);
    const disabled = ref(false);
    const items = [
      {
        title: "İzin Detaylı Filtrele",
        isCustomInput: false,
        name: "",
        isCustomButton: false,
        customComponents: PermissionFilter,
      },
      {
        title: "İzin Listesi",
        isCustomInput: false,
        name: "",
        isCustomButton: false,
        customComponents: PermissionList,
      },
      {
        title: "İzin Ekle",
        isCustomInput: false,
        name: "",
        isCustomButton: false,
        customComponents: PermissionAdd,
      },
    ];
    return {
      panel,
      disabled,
      items,
    };
  }
};
</script>
<style scoped>
@import "@/assets/styles/custom/custom-input.css";

</style>